function WriteSidePanel()
{
	var strHTML='';
	
	if(parent.UserHasAccessToView(68, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdDiscInstalls", g_MqRef.RESX["INSTALLED_SW_CAT.BUTTON_INSTALLED_SW"], "parent.LoadView('View=InventoriedSoftware%2FCatalog')", "", 65, "", g_MqRef.RESX["INSTALLED_SW_CAT.BUTTON_TOOLTIP_INSTALLED_SW"], 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	if(parent.UserHasAccessToView(44, parent.m_strValidViewIDs)){
		strHTML+=m_objMqButton.GetTextButtonHTML("cmdLicMgr",  g_MqRef.RESX["LM.BUTTON_SW_LICENSES"], "parent.LoadView('View=LicenseManager%2FLicenses')", "", 65, "", g_MqRef.RESX["LM.BUTTON_TOOLTIP_SW_LICENSES"], 150, "HTMLTextButtonNavLink", "TextButtonNavLink");
	}
	
	document.write(strHTML);
}

function AddNewRec()
{
	parent.m_objLoadDataMgr.SetOnAfterLoad("objTabsMgr.OnTabClick(0);", true);
	parent.onClickControls('AddNew');
}

function EditRec(lngID)
{
	parent.LoadRecord(lngID, -1, false);
}

function CopyRec(lngID)
{
	parent.m_objLoadDataMgr.SetOnAfterLoad("objTabsMgr.OnTabClick(0);", true);
	parent.onClickControls('Copy', lngID);
}

function PrintRec(lngID)
{
	parent.objControls.Print(lngID);
}
